<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">

<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
<xsl:strip-space elements="*"/>
<xsl:include href="buttons.xsl"/>

<xsl:template match="LAYOUT">
	<xsl:variable name="cID" select="@ID"/>
	<HTML>
<!-- business-037 -->
    <head>
		<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
		<xsl:apply-templates select="META-TAGS"/>
		<link href="css/styles.css" rel="stylesheet" type="text/css"/>
	</head>
	<BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">	
<TABLE CELLPADDING="0" CELLSPACING="0" BORDER="0" class="main-bg" style="width: 100%; height: 100%;">
	<TR>
		<TD height="100" style="background-image: url('images/menu_bg.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr>
                    <td><img src="images/menu_l.jpg" border="0" alt=""/></td>
                    <td width="100%" style="padding-top: 40px;">
                		<!-- MENU -->
    					<table cellpadding="0" cellspacing="0" align="center">
    						<tr>
                                <xsl:call-template name="TOP-MENU"/>
    						</tr>
    					</table>
                		<!-- END MENU -->
                    </td>
                    <td><img src="images/menu_r.jpg" border="0" alt=""/></td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="224" style="background-image: url('images/header_bg.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%; background-image: url('images/header.jpg'); background-repeat: no-repeat;">
                <tr>
                    <td style="padding: 0 120px 0 475px; background-image: url('images/header_r.jpg'); background-position: top right; background-repeat: no-repeat;">
                		<!-- LOGO -->
  						<table cellpadding="0" cellspacing="0" align="right">
  							<tr><td align="center"><a href="./"><img src="images/{LOGO/@NAME}" border="0" alt=""/></a></td></tr>
  							<tr><td align="center" class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td></tr>
  							<tr><td align="center" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td></tr>
  						</table>
                		<!-- END LOGO -->
                    </td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="100%" name="SB_stretch" valign="top">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr valign="top">
                    <td style="background-image: url('images/lbg_b.gif'); background-position: bottom left; background-repeat: no-repeat;"><img src="images/lbg_t.gif" border="0" alt=""/></td>
                    <td style="padding: 30px 0;">
                  		<!-- SUBMENU -->
              			<table cellpadding="0" cellspacing="0" width="144" align="center">
                            <xsl:call-template name="SUB-MENU"><xsl:with-param name="pageID" select="@ID"/></xsl:call-template>
              			</table>
                  		<!-- END SUBMENU -->
                        <div style="width:210px; height:0px;"><span></span></div>
                    </td>
                    <td>
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                            <tr><td><img src="images/separator_t.gif" border="0" alt=""/></td></tr>
                            <tr><td height="100%" style="background-image: url('images/separator_bg.gif');"></td></tr>
                            <tr><td><img src="images/separator_b.gif" border="0" alt=""/></td></tr>
                        </table>
                    </td>
                    <td width="100%" class="pageContent" style="padding: 30px;">
                		<!-- CONTENT -->
                  		<table cellpadding="0" cellspacing="0" border="0">
                  			<tr>
                  				<td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
                  				<td style="padding-left: 5px;"><img src="images/txtheader_bullet.gif" border="0" alt=""/></td>
                  			</tr>
                  		</table>
                  		<div style="width:0px; height:15px;"><span></span></div>
                  		<xsl:apply-templates select="PAGE-CONTENT"/>
                		<!-- END CONTENT -->
                    </td>
                    <td style="background-image: url('images/rbg_b.gif'); background-position: bottom right; background-repeat: no-repeat;"><img src="images/rbg_t.gif" border="0" alt=""/></td>
                </tr>
            </table>
		</TD>
	</TR>
	<TR>
		<TD height="103" style="background-image: url('images/footer_bg.gif');">
            <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                <tr>
                    <td><img src="images/footer_l.jpg" border="0" alt=""/></td>
                    <td width="100%">
                        <table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 100%;">
                            <tr>
                                <td height="64">
                            		<!-- BOTTOM MENU -->
              						<table cellpadding="0" cellspacing="0" align="center" style="height: 100%;">
              							<tr>
                                            <xsl:call-template name="BOTTOM-MENU"/>
              							</tr>
              						</table>
                            		<!-- END BOOTTOM MENU -->
                                </td>
                            </tr>
                            <tr>
                                <td height="100%" align="center" class="footer">
                            		<!-- FOOTER -->
                                    <xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/>
                            		<!-- END FOOTER -->
                                </td>
                            </tr>
                        </table>
                    </td>
                    <td><img src="images/footer_r.jpg" border="0" alt=""/></td>
                </tr>
            </table>
		</TD>
	</TR>
</TABLE>
	<!--sw_sb_ms-->
	</BODY>

	</HTML>
</xsl:template>


<xsl:template name="TOP-MENU">
		<xsl:apply-templates select="MENU" mode="top"/>	
</xsl:template>


<xsl:template name="SUB-MENU">
	<xsl:param name="pageID"/>
	<xsl:choose>
		<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
		<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
			<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
			<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
		</xsl:when>
	</xsl:choose>
</xsl:template>

<xsl:template match="MENU-ITEM" mode="sub">
	<xsl:choose>
		<xsl:when test="@ID=/LAYOUT/@ID" >
    		<tr>
    			<td class="asubmenu" style="width: 100%;"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td>
    			<td align="right" style="padding-left: 5px"><img src="images/submenu_bullet.gif" border="0" alt=""/></td>
    		</tr>
		</xsl:when>
		<xsl:otherwise>
			<xsl:if test="../MENU-ITEM[@ID=/LAYOUT/@ID] or ../../MENU-ITEM[@ID=/LAYOUT/@ID]">
    		<tr>
    			<td style="width: 100%;"><a href="{@HREF}" class="submenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    			<td align="right" style="padding-left: 5px"><a href="{@HREF}"><img src="images/submenu_bullet.gif" border="0" alt=""/></a></td>
    		</tr>
			</xsl:if>
		</xsl:otherwise>
	</xsl:choose>
	<xsl:if test="position()!=last()">
		<tr><td colspan="2" height="20"><div style="height:3px; background-image: url('images/submenu_separator.gif'); background-repeat: no-repeat;"><span></span></div></td></tr>
	</xsl:if>
</xsl:template>	

<xsl:template name="BOTTOM-MENU">   		
	<xsl:apply-templates select="MENU" mode="bottom"/>			
</xsl:template>

<xsl:template match="MENU" mode="bottom">
	<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
</xsl:template>
		
<xsl:template match="MENU-ITEM"  mode="bottom">
	<xsl:choose>
       <!-- when vizited inside-->
       	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
    		<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    		<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
    		<td valign="top"><img src="images/bmenu_bullet.gif" border="0" alt=""/></td>
           </xsl:when>
           <!-- when active-->
           
           <xsl:otherwise>
    		<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
    		<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
    		<td valign="top"><img src="images/bmenu_bullet.gif" border="0" alt=""/></td>
           </xsl:otherwise>
       </xsl:choose>
  		<xsl:if test="position()!=last()">
			<td width="10"><div style="width:5px; height:0px;"><span></span></div></td>
  		</xsl:if>
</xsl:template>
	
<xsl:template match="META-TAGS">
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	
<xsl:template match="*" mode="meta-tags">
	<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
</xsl:template>


<xsl:template match="PAGE-CONTENT">
	<xsl:comment> EDITABLE CONTENT </xsl:comment>
	<xsl:apply-templates mode="meta-tags"/>
</xsl:template>
	     	
</xsl:stylesheet>
