<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format">
	<xsl:output method="html" indent="yes" encoding="utf-8" doctype-public="-//W3C//DTD HTML 4.01 Transitional//EN"/>
	<xsl:strip-space elements="*"/>
	<xsl:include href="buttons.xsl"/>
	<!-- LAYOUT -->
	<xsl:template match="LAYOUT">
		<xsl:variable name="cID" select="@ID"/>

		<html>
		<head>
			<title><xsl:value-of select="@SITE-TITLE" disable-output-escaping="yes"/> - <xsl:value-of select="@TITLE" disable-output-escaping="yes"/></title>
			<xsl:apply-templates select="META-TAGS"/>
			<link href="css/styles.css" rel="stylesheet" type="text/css"/>
		</head>
        <BODY MARGINHEIGHT="0" MARGINWIDTH="0" TOPMARGIN="0" RIGHTMARGIN="0" BOTTOMMARGIN="0" LEFTMARGIN="0">
		<table cellpadding="0" cellspacing="0" border="0" width="100%" height="100%" background="images/main_bg.gif"><tr><td>
        <table cellpadding="0" cellspacing="0" border="0" width="780" height="100%" background="images/bg.gif"><tr><td>
		<TABLE WIDTH="780" HEIGHT="100%" CELLPADDING="0" CELLSPACING="0" BORDER="0" style="background-image:  url('images/header.jpg'); background-repeat: no-repeat;">
        	<TR>
        		<TD colspan="2" width="780" height="160" valign="top">
        		<!-- LOGO -->
        			<table cellpadding="0" cellspacing="0" height="115" align="right" style="margin: 0px 25px 5px 250px;">
        				<tr>
        					<td><img src="images/logo_lbg.gif"/></td>
        					<td style="background-image: url('images/logo_bg.gif'); background-repeat: repeat-x;">
        						<table cellpadding="0" cellspacing="0">
        							<tr>
        								<td><a href="./"><img src="images/{LOGO/@NAME}" alt="" border="0" style="margin-right: 5px;"/></a></td>
        								<td class="company"><xsl:value-of select="COMPANY-INFO/NAME" disable-output-escaping="yes"/></td>								
        							</tr>
        							<tr>
        								<td colspan="2" class="slogan"><xsl:value-of select="COMPANY-INFO/SLOGAN" disable-output-escaping="yes"/></td>
        							</tr>
        						</table>
        					</td>
        					<td><img src="images/logo_rbg.gif"/></td>
        				</tr>
        			</table>
        		<!-- END LOGO -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="37">
        		<!-- MENU -->
        		<!-- CALL TOP-MENU -->
        		<xsl:call-template name="TOP-MENU"/>
        		<!-- END MENU -->
        		</TD>
        	</TR>
        	<TR>
        		<TD valign="top" width="197" height="100%">
        		<!-- SUBMENU -->
        		<!-- CALL SUB-MENU -->
        		<xsl:call-template name="SUB-MENU">
        			<xsl:with-param name="pageID" select="@ID"/>
        		</xsl:call-template>
        		<!-- END SUBMENU -->
        		</TD>
        		<TD valign="top" width="583">
        		<!-- CONTENT -->
        			<table cellpadding="0" cellspacing="0" width="440" style="margin-left: 120px;">
        				<tr><td height="22"></td></tr>
        				<tr><td class="text-header"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></td></tr>
        				<tr><td height="15"></td></tr>
        				<tr>
        					<td width="440">
								<table cellpadding="0" cellspacing="0" border="0" style="width: 100%; height: 510px;">
									<tr>
										<td class="text pageContent" style="vertical-align: top;"><xsl:apply-templates select="PAGE-CONTENT"/></td>
									</tr>
								</table>
        					</td>
        				</tr>
        				<tr><td height="20"></td></tr>
        			</table>
        		<!-- END CONTENT -->
        		</TD>
        	</TR>
        	<TR>
        		<TD colspan="2" width="780" height="70" style="background-image: url('images/footer_bg.gif'); background-repeat: repeat-x;">
        		<!-- BOTTOM MENU -->
        		<!-- CALL BOTTOM-MENU -->
        		<xsl:call-template name="BOTTOM-MENU"/>
        		<!-- END BOOTTOM MENU -->
        		<!-- FOOTER -->
        			<table cellpadding="0" cellspacing="0" align="center">
        				<tr><td height="5"></td></tr>
        				<tr><td class="footer"><xsl:value-of select="COPYRIGHT" disable-output-escaping="yes"/></td></tr>
        			</table>
        		<!-- END FOOTER -->
        		</TD>
        	</TR>
        </TABLE>
		</td></tr></table>
		</td></tr></table>
        </BODY>
		</html>

	</xsl:template>

   				
	<!--TOP-MENU-->
   				
	<xsl:template name="TOP-MENU">
   		<table cellpadding="0" cellspacing="0">
   			<tr>
				<td width="317"></td>
				<xsl:apply-templates select="MENU" mode="top"/>			
   			</tr>
   		</table>
	</xsl:template>
  
        				
	<xsl:template name="SUB-MENU">
		<xsl:param name="pageID"/>
		<xsl:choose>
			<xsl:when test="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM">
        			<table cellpadding="0" cellspacing="0" width="168">
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID = $pageID]/MENU-ITEM" mode="sub"/>
        			</table>			
			</xsl:when>
			<xsl:when test="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]">
				<xsl:variable name="parentID" select="//MENU/MENU-ITEM/MENU-ITEM[@ID = $pageID]/../@ID"/>
        			<table cellpadding="0" cellspacing="0" width="168">
						<xsl:apply-templates select="//MENU/MENU-ITEM[@ID=$parentID]/MENU-ITEM" mode="sub"/>
        			</table>			
			</xsl:when>
		<xsl:otherwise>
			<!-- no op -->
   			<table cellpadding="0" cellspacing="0" width="168">
   				<tr><td height="75"></td></tr>
   			</table>			
		</xsl:otherwise>
		</xsl:choose>
	</xsl:template>

   				
	<xsl:template name="BOTTOM-MENU">
   		<table cellpadding="0" cellspacing="0" align="center">
   			<tr>		
				<xsl:apply-templates select="MENU" mode="bottom"/>			
   			</tr>
   		</table>
	</xsl:template>


	<xsl:template match="MENU" mode="bottom">
		<xsl:apply-templates select="MENU-ITEM"  mode="bottom"/>
	</xsl:template>

	<xsl:template match="MENU-ITEM"  mode="bottom">
   		<xsl:choose>
           <!-- when vizited inside-->
           	<xsl:when test="MENU-ITEM[@ID=/LAYOUT/@ID] or @ID=/LAYOUT/@ID">
   				<td><a href="{@HREF}" class="abmenu" id="abmenu"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:when>
            <!-- when active-->
            
            <xsl:otherwise>
   				<td><a href="{@HREF}" class="bmenu" id="bmenu{position()}"><xsl:value-of select="@TITLE" disable-output-escaping="yes"/></a></td>
            </xsl:otherwise>
        </xsl:choose>
        <xsl:if test="position()!=last()">
   			<td width="10"></td>
   			<td><img src="images/bmenu_separator.gif" border="0"/></td>
   			<td width="10"></td>
        </xsl:if>
	</xsl:template>


	<!--META-TAGS-->
	<xsl:template match="META-TAGS">
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	
	<xsl:template match="*" mode="meta-tags">
		<meta name="{local-name(.)}"><xsl:attribute name="content"><xsl:value-of select="." disable-output-escaping="yes"/></xsl:attribute></meta>
	</xsl:template>
	<!--PAGE-CONTENT-->
	<xsl:template match="PAGE-CONTENT">
		<xsl:comment> EDITABLE CONTENT </xsl:comment>
		<xsl:apply-templates mode="meta-tags"/>
	</xsl:template>
	     	
</xsl:stylesheet>	
